Adds a named profile to the Imagick object

- « Imagick::setImagePage

- Imagick::setImageProperty »

- PHP Manual
- Imagick
- Adds a named profile to the Imagick object

# Imagick::setImageProfile

(PECL imagick 2, PECL imagick 3)

Imagick::setImageProfile — Adds a named profile to the Imagick object

### Description

public Imagick::setImageProfile(string `$name`, string `$profile`): bool

Adds a named profile to the Imagick object. If a profile with the same name already exists, it is replaced. This method differs from the Imagick::ProfileImage() method in that it does not apply any CMS color profiles.

### Parameters

`name`

`profile`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.